<script lang="ts">
  export let settings: GameSettings;
  export let state: GameState;

  const _settings = settings;

  $: playerCount = state.players.length;
  $: suitCount = 10 - (4 - playerCount) * 2;
</script>

<section class="panel">
  <p>
    In a {playerCount}-player game there are <strong>{suitCount}</strong>
    different suits. Each suit has <strong>8</strong> cards, valued 1 through 8,
    for a total of {8 * suitCount} cards.
  </p>

  <h3>On your turn</h3>

  <p>
    Each turn you <em>must</em> do the following 3 actions in order:
  </p>
  <ol>
    <li>
      <h4>Draw two cards.</h4>

      <p>
        You may draw either from the center draw pile, or the top card from any
        of the discard piles.
      </p>
    </li>

    <li>
      <h4>Add a card to your park.</h4>

      <p>
        Your &ldquo;park&rdquo; are cards placed face-up in front of you. Cards
        must be placed orthogonally adjacent to any existing card in the park.
      </p>
    </li>

    <li>
      <h4>Discard a card.</h4>
      <p>
        Discard one of the cards in your hand to your personal discard pile.
      </p>
    </li>
  </ol>

  <h3>End of the game</h3>
  <p>
    The game ends at the end of the player's turn, when they draw the final card
    in the draw pile.
  </p>

  <h4>Who gets to score each suit?</h4>

  <p>
    Only the player with the highest sum of a suit
    <strong>in their hand</strong> may score that suit.
  </p>
  <p>
    If two different players have the <strong>1</strong> and the
    <strong>8</strong>
    of the same suit, the <strong>8</strong> is turned into a
    <strong>0</strong>!
  </p>
  <p>
    If more than one player are tied for the highest sum, they may all score
    that suit.
  </p>

  <h4>Scoring a suit</h4>
  <p>
    To score a suit, a player must walk a path in their park which begins and
    ends in that suit.
  </p>
  <p>
    Each step must be to an adjacent card, and each card in the path must be
    strictly increasing in value.
  </p>
  <ul>
    <li>
      <p>
        Each card in the path is worth <strong>1 point</strong>, except if the
        path is at least 4 cards long and every card is of the same suit. In
        that case each card is worth <strong>2 points!</strong>
      </p>
    </li>
    <li>
      <p>
        A path starting with a 1 is worth <strong>1 bonus point.</strong>
      </p>
    </li>
    <li>
      <p>
        A path ending with an 8 is worth <strong>2 bonus points.</strong>
      </p>
    </li>
  </ul>
  <p>
    The player with the most points win! In case of a tie, the player with the
    most different suits in their park wins!
  </p>
</section>

<style>
  section {
    background-color: linen;
    font-size: 85%;
    height: 100%;
    overflow-y: auto;
  }

  h3,
  h4 {
    font-weight: 500;
  }
  ol {
    padding-left: 1.5em;
  }
  p {
    margin-top: 0em;
    margin-bottom: 0.75em;
  }

  ul {
    padding-left: 1.5em;
    list-style: disc;
  }
</style>
